# bsd make
#PKGVERS != awk '/^Version:/ {vers=$$2} /^Package:/{pkg=$$2} END {printf "%s-%s\n", pkg,vers}' Qtopia/CONTROL/control

PKGVERS = $(shell awk '/^Version:/ {vers=$$2} /^Package:/{pkg=$$2} END {printf "%s-%s\n", pkg,vers}' Qtopia/CONTROL/control)

dist:
	( \
		cd ..; \
		rm -f $(PKGVERS); \
		ln -s rmi $(PKGVERS); \
		tar --exclude RCS --dereference -czf $(PKGVERS).tgz $(PKGVERS);\
		rm -f $(PKGVERS); \
	)
