/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: CDI.h,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#include "CompassInstrument.h"

class CDI : public CompassInstrument
{
	Q_OBJECT
public:
	CDI(QWidget *parent = 0, const char *name = 0, WFlags flags = 0);

protected:
	virtual const QPixmap &overlayPixmap();

protected slots:
	virtual void render();

private:

	static QPixmap *flagPixmaps[3];
	static bool	flagPixmapsDrawn;
};
