/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: main.cpp,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#include <qglobal.h>
#if defined(Q_WS_QWS)
#include <qpe/qpeapplication.h>
#else
#include <qapplication.h>
#endif
#include "top.h"

int main( int argc, char ** argv )
{
#if defined(Q_WS_QWS)
	QPEApplication a(argc, argv);
#else
	QApplication a( argc, argv );
#endif

	Top top(NULL, "Instrument Trainer",
		Qt::WStyle_Customize | Qt::WStyle_NoBorder);
	a.setMainWidget( &top );
#if !defined(Q_WS_QWS)
	top.setFixedSize(240, 300);
#endif
	top.show();

	return a.exec();
}
